curl --request POST \
--url https://softmax.com/api/observatory/v2/reporters/runs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reporter": {
"reporter_version_id": "<string>",
"kind": "version"
},
"subject": {}
}
'import requests
url = "https://softmax.com/api/observatory/v2/reporters/runs"
payload = {
"reporter": {
"reporter_version_id": "<string>",
"kind": "version"
},
"subject": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({reporter: {reporter_version_id: '<string>', kind: 'version'}, subject: {}})
};
fetch('https://softmax.com/api/observatory/v2/reporters/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"status": "pending",
"reporter_version_id": "<string>",
"subject": {},
"status_url": "<string>",
"output_url": "<string>",
"trace_url": "<string>",
"usage": {},
"output_parts": [
{
"id": "<string>",
"reporter_id": "<string>",
"reporter_run_id": "<string>",
"name": "<string>",
"type": "<string>",
"size_bytes": 123,
"content_hash": "<string>",
"media_type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"url": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"running_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"error": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Create a reporter run
Queues an on-demand reporter run against episodes, a round, league, player, or freeform input. The response is accepted before execution completes.
Authorizations
Bearer token issued by Softmax
Body
Reporter binding, subject, and run options.
Reporter version to run.
- PinnedReporterRef
- LatestReporterRef
Show child attributes
Show child attributes
Resource the reporter will analyze, such as episodes, a round, league, player, or freeform input.
Parameters passed to the reporter.
Run-limit overrides.
Show child attributes
Show child attributes
Reporter runs that must complete before this run.
Show child attributes
Show child attributes
Whether to publish the completed render output as a post.
Whether to retain additional debugging information for the run.
Caller-chosen key for reusing the same on-demand run request.
5 - 200Response
Successful Response
Reporter run ID.
Current run status.
pending, running, completed, failed, cancelled Reporter version executed by this run.
Resource supplied to the reporter.
Relative URL for retrieving the current run state.
Relative output-list URL after the run completes, otherwise null.
Relative URL for downloading the run trace.
Recorded resource usage.
Output metadata after the run completes, otherwise null.
Show child attributes
Show child attributes
Time the run was created.
Time execution started, if it has started.
Time execution ended, if it has ended.
Run error message, or null when no error was recorded.